#/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-
# Version : 1.0.0
# Vendor : RTC-Center
# date : 09/08/31 (ver1.0.0)
# abstract : script for demonstration
#

import sys
import os
import time

from math import *

from set_env import *
save_path = sys.path[:]
sys.path.append(Rh2LibDir)
#sys.path.append(RtmToolsDir+"/rtc_handle")
from rtc_handle import *

env = RtmEnv(sys.argv,[CtrlTermNS])
for ns in env.name_space :
  env.name_space[ns].list_obj()

#
# import stub files
#
sys.path.append(Rh2IdlDir)
import _GlobalIDL
sys.path = save_path

ctrl_term = env.name_space[CtrlTermNS].rtc_handles['TerminalServer0.rtc']
ctrl_term.services['RHStateChage'].provided['StateChangeFromRH'].narrow_ref(globals())

ctrl_term.services['RHStateChage'].provided['StateChangeFromRH'].ref.SetState( -0, "COMPLETE")
